
import axios from "@/utils/axios";
export default {
// 
  /**
   * 任务查询
   */
  queryProjectTask(data) {
    return axios.post("/xiaoshi/projectTask/queryProjectTask", data);
  },
  /**
   * 专利挖掘审核
   */
  addProjectOpenExamineTask(data) {
    return axios.post("/xiaoshi/projectTask/addProjectOpenAuditTask", data);
  },
  /**
   * 创建专利挖掘文件分配任务/文件分配审核任务
   */
  addTask(data) {
    return axios.post("/xiaoshi/projectTask/addTask", data);
  },
  /**
   * 专利挖掘文件分配任务保存
   */
  addAssoTaskFile(data) {
    return axios.post("/xiaoshi/projectTask/addAssoTaskFile", data);
  },
  /**
   * 专利挖掘文件分配任务弹窗查询文件列表
   */
  getTaskHandleResult(params) {
    return axios.get("/xiaoshi/projectTask/getTaskHandleResult", {params});
  },
  /**
   * 专利挖掘文件分配任务弹窗文件列表删除文件
   */
  deleteAssoTaskFile(data) {
    return axios.post("/xiaoshi/projectTask/deleteAssoTaskFile", data);
  },
  /**
   * 专利挖掘文件列表新增
   */
  addPatentDigProjectFiles(data) {
    return axios.post("/xiaoshi/patentDigProjectFiles/addPatentDigProjectFiles", data);
  },
  /**
   * 专利挖掘文件列表新增审核任务
   */
  addPDProjectFilesTask(data) {
    return axios.post("/xiaoshi/patentDigProjectFiles/addPDProjectFilesTask", data);
  },
  /**
   * 专利挖掘文件列表查询
   */
  queryPatentDigProjectFiles(data) {
    return axios.post("/xiaoshi/patentDigProjectFiles/queryPatentDigProjectFiles", data);
  },
  /**
   * 专利挖掘文件列表删除
   */
  deletePatentDigProjectFiles(data) {
    return axios.post("/xiaoshi/patentDigProjectFiles/deletePatentDigProjectFiles", data);
  },
  /**
   * 专利挖掘文件处理分配审核任务，提交审核结果
   */
  addTaskAuditResult(data) {
    return axios.post("/xiaoshi/projectTask/addTaskAuditResult", data);
  },
  /**
   * 专利挖掘文件处理分配审核任务，查询审核信息
   */
  queryAuditHistory(params) {
    return axios.get("/xiaoshi/projectTask/queryAuditHistory", {params});
  },
  /**
   * 专利挖掘任务的编辑
   */
  updateTask(data) {
    return axios.post("/xiaoshi/projectTask/updateTask", data);
  },
  /**
   * 任务完成、取消、同意、缺少资料等状态的修改
   */
  updateTaskStatus(params) {
    return axios.get("/xiaoshi/projectTask/updateTaskStatus", {params});
  },
  /**
   * 查询专利挖掘流程节点相关的任务/文件数量
   */
  getCountOfProcess(params) {
    return axios.get("/xiaoshi/patentDigProjectFiles/getCountOfProcess", {params});
  },
  /**
   * 分配任务
   */
  addMarkTask(data) {
    return axios.post("/xiaoshi/projectTask/addMarkTask", data);
  },
};
